var $AdfDhtmlSelectBooleanCheckboxPeer$$ = $AdfRichUIPeer$$.$createPeerClass$($AdfDhtmlEditableValuePeer$$, "AdfDhtmlSelectBooleanCheckboxPeer");
$goog$exportSymbol$$("AdfDhtmlSelectBooleanCheckboxPeer", $AdfDhtmlSelectBooleanCheckboxPeer$$);
$AdfDhtmlSelectBooleanCheckboxPeer$$.$InitSubclass$ = function $$AdfDhtmlSelectBooleanCheckboxPeer$$$$InitSubclass$$() {
  $AdfObject$$.$ensureClassInitialization$(AdfRichSelectBooleanCheckbox);
  $AdfRichUIPeer$$.$addComponentPropertyGetters$(this, AdfUIEditableValue.SUBMITTED_VALUE, AdfRichSelectBooleanCheckbox.TEXT);
  $AdfRichUIPeer$$.$addComponentEventHandlers$(this, $AdfUIInputEvent$$.$CLICK_EVENT_TYPE$);
  $AdfAgent$$.$AGENT$.$isTouchFirstDevice$() || $AdfRichUIPeer$$.$addComponentEventHandlers$(this, $AdfUIInputEvent$$.$MOUSE_IN_EVENT_TYPE$);
  $AdfRichUIPeer$$.$addComponentPropertyChanges$(this, AdfRichSelectBooleanCheckbox.TEXT);
  this.$_inlineEditor$ = null;
  this.$_SELECT_BOOLEAN_VALUE_KEY$ = "_adfSbv";
  this.$_TRCB$ = "icon-style";
  this.$_TRCB_ID$ = "_adfTRC";
};
$goog$exportSymbol$$("AdfDhtmlSelectBooleanCheckboxPeer.InitSubclass", $AdfDhtmlSelectBooleanCheckboxPeer$$.$InitSubclass$);
$AdfDhtmlSelectBooleanCheckboxPeer$$.prototype.$isTristateDeterminateUnchecked$ = function $$AdfDhtmlSelectBooleanCheckboxPeer$$$$$isTristateDeterminateUnchecked$$($component$$2008_id$$348_triStateNode$$) {
  $component$$2008_id$$348_triStateNode$$ = $AdfRichUIPeer$$.$createSubId$($component$$2008_id$$348_triStateNode$$.$getClientId$(), $AdfDhtmlSelectBooleanCheckboxPeer$$.$_TRCB$);
  return ($component$$2008_id$$348_triStateNode$$ = $AdfAgent$$.$AGENT$.getElementById($component$$2008_id$$348_triStateNode$$)) && !$AdfDomUtils$$.$containsCSSClassName$($component$$2008_id$$348_triStateNode$$, $AdfRichUIPeer$$.$SELECTED_STYLECLASS$) && !$AdfDomUtils$$.$containsCSSClassName$($component$$2008_id$$348_triStateNode$$, "p_AFMixed");
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlSelectBooleanCheckboxPeer.prototype.isTristateDeterminateUnchecked", {$isTristateDeterminateUnchecked$:$AdfDhtmlSelectBooleanCheckboxPeer$$.prototype.$isTristateDeterminateUnchecked$});
$AdfDhtmlSelectBooleanCheckboxPeer$$.prototype.$InitDomElement$ = function $$AdfDhtmlSelectBooleanCheckboxPeer$$$$$InitDomElement$$($component$$2009$$, $domElement$$436$$) {
  $AdfDhtmlSelectBooleanCheckboxPeer$$.$superclass$.$InitDomElement$.call(this, $component$$2009$$, $domElement$$436$$);
  var $clientId$$423_domNode$$inline_3870_trcId$$ = $component$$2009$$.$getClientId$(), $clientId$$423_domNode$$inline_3870_trcId$$ = $AdfRichUIPeer$$.$CreateSubId$($clientId$$423_domNode$$inline_3870_trcId$$, $AdfDhtmlSelectBooleanCheckboxPeer$$.$_TRCB$);
  $domElement$$436$$.setAttribute($AdfDhtmlSelectBooleanCheckboxPeer$$.$_TRCB_ID$, $clientId$$423_domNode$$inline_3870_trcId$$);
  var $clientId$$423_domNode$$inline_3870_trcId$$ = $AdfDhtmlEditableValuePeer$$.$getContentNode$($component$$2009$$, $domElement$$436$$), $labels$$inline_3871$$ = document.querySelectorAll("label[for\x3d'" + $clientId$$423_domNode$$inline_3870_trcId$$.id + "']");
  if ($labels$$inline_3871$$ && 0 < $labels$$inline_3871$$.length) {
    for (var $labelledById$$inline_3872$$ = "", $labelId$$inline_3873$$, $i$$inline_3874$$ = 0;$i$$inline_3874$$ < $labels$$inline_3871$$.length;$i$$inline_3874$$++) {
      $labelId$$inline_3873$$ = $domElement$$436$$.id + "::Label" + $i$$inline_3874$$, $labels$$inline_3871$$[$i$$inline_3874$$].setAttribute("id", $labelId$$inline_3873$$), $labelledById$$inline_3872$$ += " " + $labelId$$inline_3873$$;
    }
    $labelledById$$inline_3872$$ = $labelledById$$inline_3872$$.substring(1, $labelledById$$inline_3872$$.length);
    $clientId$$423_domNode$$inline_3870_trcId$$.setAttribute("aria-labelledby", $labelledById$$inline_3872$$);
  }
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlSelectBooleanCheckboxPeer.prototype.InitDomElement", {$InitDomElement$:$AdfDhtmlSelectBooleanCheckboxPeer$$.prototype.$InitDomElement$});
$AdfDhtmlSelectBooleanCheckboxPeer$$.prototype.$HandleComponentMouseOver$ = function $$AdfDhtmlSelectBooleanCheckboxPeer$$$$$HandleComponentMouseOver$$($componentEvent$$436$$) {
  this.$ShowNoteWindowMouseOver$($componentEvent$$436$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlSelectBooleanCheckboxPeer.prototype.HandleComponentMouseOver", {$HandleComponentMouseOver$:$AdfDhtmlSelectBooleanCheckboxPeer$$.prototype.$HandleComponentMouseOver$});
$AdfDhtmlSelectBooleanCheckboxPeer$$.prototype.$HandleComponentClick$ = function $$AdfDhtmlSelectBooleanCheckboxPeer$$$$$HandleComponentClick$$($componentEvent$$437_targetNode$$47$$) {
  $AdfDhtmlSelectBooleanCheckboxPeer$$.$superclass$.$HandleComponentClick$.call(this, $componentEvent$$437_targetNode$$47$$);
  var $component$$2010$$ = this.$getComponent$();
  $componentEvent$$437_targetNode$$47$$ = $componentEvent$$437_targetNode$$47$$.$getNativeEventTarget$();
  var $domNode$$85_rootDomElement$$19$$ = this.$getDomElement$(), $domNode$$85_rootDomElement$$19$$ = $AdfDhtmlEditableValuePeer$$.$getContentNode$($component$$2010$$, $domNode$$85_rootDomElement$$19$$), $id$$349_triStateNode$$1$$ = $AdfRichUIPeer$$.$createSubId$($component$$2010$$.$getClientId$(), $AdfDhtmlSelectBooleanCheckboxPeer$$.$_TRCB$);
  if ($domNode$$85_rootDomElement$$19$$ == $componentEvent$$437_targetNode$$47$$) {
    if ($id$$349_triStateNode$$1$$ = $AdfAgent$$.$AGENT$.getElementById($id$$349_triStateNode$$1$$)) {
      $domNode$$85_rootDomElement$$19$$.checked ? $AdfDomUtils$$.$addCSSClassName$($id$$349_triStateNode$$1$$, $AdfRichUIPeer$$.$SELECTED_STYLECLASS$) : $AdfDomUtils$$.$removeCSSClassName$($id$$349_triStateNode$$1$$, $AdfRichUIPeer$$.$SELECTED_STYLECLASS$), $AdfDomUtils$$.$removeCSSClassName$($id$$349_triStateNode$$1$$, "p_AFMixed");
    }
  } else {
    $domNode$$85_rootDomElement$$19$$ && $id$$349_triStateNode$$1$$ == $componentEvent$$437_targetNode$$47$$.id && ($domNode$$85_rootDomElement$$19$$.checked ? ($domNode$$85_rootDomElement$$19$$.checked = !1, $AdfDomUtils$$.$removeCSSClassName$($componentEvent$$437_targetNode$$47$$, "p_AFSelected")) : ($domNode$$85_rootDomElement$$19$$.checked = !0, $AdfDomUtils$$.$addCSSClassName$($componentEvent$$437_targetNode$$47$$, "p_AFSelected")), $AdfDomUtils$$.$removeCSSClassName$($componentEvent$$437_targetNode$$47$$, 
    "p_AFMixed"), $componentEvent$$437_targetNode$$47$$ = $domNode$$85_rootDomElement$$19$$);
  }
  "INPUT" == $AdfAgent$$.$AGENT$.$getNodeName$($componentEvent$$437_targetNode$$47$$) && ($componentEvent$$437_targetNode$$47$$ && $componentEvent$$437_targetNode$$47$$.checked ? this.$Validate$($component$$2010$$, !0) : this.$Validate$($component$$2010$$, !1));
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlSelectBooleanCheckboxPeer.prototype.HandleComponentClick", {$HandleComponentClick$:$AdfDhtmlSelectBooleanCheckboxPeer$$.prototype.$HandleComponentClick$});
$AdfDhtmlSelectBooleanCheckboxPeer$$.prototype.$GetSubmittedValue$ = function $$AdfDhtmlSelectBooleanCheckboxPeer$$$$$GetSubmittedValue$$($component$$2011$$, $domElement$$437$$) {
  var $domNode$$86$$ = $AdfDhtmlEditableValuePeer$$.$getContentNode$($component$$2011$$, $domElement$$437$$);
  return $component$$2011$$.getReadOnly() ? $AdfAgent$$.$AGENT$.getAttribute($domNode$$86$$, $AdfDhtmlSelectBooleanCheckboxPeer$$.$_SELECT_BOOLEAN_VALUE_KEY$) : null != $domNode$$86$$ && $domNode$$86$$.checked ? !0 : !1;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlSelectBooleanCheckboxPeer.prototype.GetSubmittedValue", {$GetSubmittedValue$:$AdfDhtmlSelectBooleanCheckboxPeer$$.prototype.$GetSubmittedValue$});
$AdfDhtmlSelectBooleanCheckboxPeer$$.prototype.$SetDisplayValue$ = function $$AdfDhtmlSelectBooleanCheckboxPeer$$$$$SetDisplayValue$$($component$$2012_trcElement$$, $domElement$$438_domNode$$87$$, $newValue$$138_text$$40$$) {
  $domElement$$438_domNode$$87$$ = $AdfDhtmlEditableValuePeer$$.$getContentNode$($component$$2012_trcElement$$, $domElement$$438_domNode$$87$$);
  null != $domElement$$438_domNode$$87$$ && ($component$$2012_trcElement$$.getReadOnly() ? "true" == $newValue$$138_text$$40$$ || 1 == $newValue$$138_text$$40$$ ? ($newValue$$138_text$$40$$ = $component$$2012_trcElement$$.getText(), $AdfAgent$$.$AGENT$.$setTextContent$($domElement$$438_domNode$$87$$, $newValue$$138_text$$40$$)) : $AdfAgent$$.$AGENT$.$setTextContent$($domElement$$438_domNode$$87$$, "") : ($component$$2012_trcElement$$ = $AdfAgent$$.$AGENT$.getElementById($domElement$$438_domNode$$87$$.getAttribute($AdfDhtmlSelectBooleanCheckboxPeer$$.$_TRCB_ID$)), 
  "true" == $newValue$$138_text$$40$$ || 1 == $newValue$$138_text$$40$$ ? ($domElement$$438_domNode$$87$$.checked = !0, $component$$2012_trcElement$$ && ($AdfDomUtils$$.$addCSSClassName$($component$$2012_trcElement$$, "p_AFSelected"), $AdfDomUtils$$.$removeCSSClassName$($component$$2012_trcElement$$, "p_AFMixed"))) : ($domElement$$438_domNode$$87$$.checked = !1, $component$$2012_trcElement$$ && ($AdfDomUtils$$.$removeCSSClassName$($component$$2012_trcElement$$, "p_AFSelected"), $AdfDomUtils$$.$removeCSSClassName$($component$$2012_trcElement$$, 
  "p_AFMixed")))));
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlSelectBooleanCheckboxPeer.prototype.SetDisplayValue", {$SetDisplayValue$:$AdfDhtmlSelectBooleanCheckboxPeer$$.prototype.$SetDisplayValue$});
$AdfDhtmlSelectBooleanCheckboxPeer$$.prototype.$GetInlineEditor$ = function $$AdfDhtmlSelectBooleanCheckboxPeer$$$$$GetInlineEditor$$() {
  var $inlineEditor$$8$$ = $AdfDhtmlSelectBooleanCheckboxPeer$$.$_inlineEditor$;
  null == $inlineEditor$$8$$ && ($inlineEditor$$8$$ = new $AdfDhtmlSelectBooleanTextEditor$$, $AdfDhtmlSelectBooleanCheckboxPeer$$.$_inlineEditor$ = $inlineEditor$$8$$);
  return $inlineEditor$$8$$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlSelectBooleanCheckboxPeer.prototype.GetInlineEditor", {$GetInlineEditor$:$AdfDhtmlSelectBooleanCheckboxPeer$$.prototype.$GetInlineEditor$});
$AdfDhtmlSelectBooleanCheckboxPeer$$.prototype.$GetComponentText$ = function $$AdfDhtmlSelectBooleanCheckboxPeer$$$$$GetComponentText$$($component$$2013$$, $domElement$$439$$) {
  var $itemTextElement$$ = $AdfDhtmlSelectBooleanCheckboxPeer$$.$__getLabelTextElement$($domElement$$439$$, this.$GetItemTextStyleClass$());
  return null != $itemTextElement$$ ? $AdfAgent$$.$AGENT$.$getTextContent$($itemTextElement$$) : 1 == $component$$2013$$.getReadOnly() ? this.$GetReadOnlyComponentText$($component$$2013$$) : null;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlSelectBooleanCheckboxPeer.prototype.GetComponentText", {$GetComponentText$:$AdfDhtmlSelectBooleanCheckboxPeer$$.prototype.$GetComponentText$});
$AdfDhtmlSelectBooleanCheckboxPeer$$.prototype.$ComponentTextChanged$ = function $$AdfDhtmlSelectBooleanCheckboxPeer$$$$$ComponentTextChanged$$($component$$2014$$, $domElement$$440_labelElement$$7$$, $newValue$$139$$) {
  $domElement$$440_labelElement$$7$$ = $AdfDhtmlSelectBooleanCheckboxPeer$$.$__getLabelTextElement$($domElement$$440_labelElement$$7$$, this.$GetItemTextStyleClass$());
  return null != $domElement$$440_labelElement$$7$$ ? $AdfDomUtils$$.$handleTextChangeWithAccessKey$($component$$2014$$, $domElement$$440_labelElement$$7$$, $newValue$$139$$) : !1;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlSelectBooleanCheckboxPeer.prototype.ComponentTextChanged", {$ComponentTextChanged$:$AdfDhtmlSelectBooleanCheckboxPeer$$.prototype.$ComponentTextChanged$});
$AdfDhtmlSelectBooleanCheckboxPeer$$.$__getInlineEditableTextElement$ = function $$AdfDhtmlSelectBooleanCheckboxPeer$$$$__getInlineEditableTextElement$$($domElement$$441$$) {
  var $txtelm$$ = $AdfDhtmlSelectBooleanCheckboxPeer$$.$__getLabelTextElement$($domElement$$441$$, "af|selectBooleanCheckbox::item-text");
  null == $txtelm$$ && ($txtelm$$ = $AdfDhtmlSelectBooleanCheckboxPeer$$.$__getLabelTextElement$($domElement$$441$$, "af|selectBooleanRadio::item-text"));
  return $txtelm$$;
};
$AdfDhtmlSelectBooleanCheckboxPeer$$.$__getLabelTextElement$ = function $$AdfDhtmlSelectBooleanCheckboxPeer$$$$__getLabelTextElement$$($domElement$$442$$, $cssClass$$1$$) {
  for (var $actualCssClass$$1$$ = $AdfPage$$.$PAGE$.$getLookAndFeel$().getStyleClass($cssClass$$1$$), $labelElements$$5$$ = $domElement$$442$$.getElementsByTagName("LABEL"), $length$$79$$ = $labelElements$$5$$.length, $i$$524$$ = 0;$i$$524$$ < $length$$79$$;$i$$524$$++) {
    var $labelElement$$8$$ = $labelElements$$5$$[$i$$524$$];
    if (null != $labelElement$$8$$ && $AdfDomUtils$$.$containsCSSClassName$($labelElement$$8$$, $actualCssClass$$1$$)) {
      return $labelElement$$8$$;
    }
  }
  return null;
};
$AdfDhtmlSelectBooleanCheckboxPeer$$.prototype.$GetReadOnlyComponentText$ = function $$AdfDhtmlSelectBooleanCheckboxPeer$$$$$GetReadOnlyComponentText$$($component$$2015_node$$103$$) {
  $component$$2015_node$$103$$ = $AdfDhtmlEditableValuePeer$$.$getContentNode$($component$$2015_node$$103$$);
  return $AdfAgent$$.$AGENT$.$getTextContent$($component$$2015_node$$103$$).substring(1);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlSelectBooleanCheckboxPeer.prototype.GetReadOnlyComponentText", {$GetReadOnlyComponentText$:$AdfDhtmlSelectBooleanCheckboxPeer$$.prototype.$GetReadOnlyComponentText$});
$AdfDhtmlSelectBooleanCheckboxPeer$$.prototype.$NeedsSpuriousDirtyValueTracking$ = function $$AdfDhtmlSelectBooleanCheckboxPeer$$$$$NeedsSpuriousDirtyValueTracking$$() {
  return !0;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlSelectBooleanCheckboxPeer.prototype.NeedsSpuriousDirtyValueTracking", {$NeedsSpuriousDirtyValueTracking$:$AdfDhtmlSelectBooleanCheckboxPeer$$.prototype.$NeedsSpuriousDirtyValueTracking$});
$AdfDhtmlSelectBooleanCheckboxPeer$$.prototype.$GetItemTextStyleClass$ = function $$AdfDhtmlSelectBooleanCheckboxPeer$$$$$GetItemTextStyleClass$$() {
  return "af|selectBooleanCheckbox::item-text";
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlSelectBooleanCheckboxPeer.prototype.GetItemTextStyleClass", {$GetItemTextStyleClass$:$AdfDhtmlSelectBooleanCheckboxPeer$$.prototype.$GetItemTextStyleClass$});
$AdfDhtmlSelectBooleanCheckboxPeer$$.prototype.$GetLabelTextStyleClass$ = function $$AdfDhtmlSelectBooleanCheckboxPeer$$$$$GetLabelTextStyleClass$$() {
  return "af|selectBooleanCheckbox::label-text";
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlSelectBooleanCheckboxPeer.prototype.GetLabelTextStyleClass", {$GetLabelTextStyleClass$:$AdfDhtmlSelectBooleanCheckboxPeer$$.prototype.$GetLabelTextStyleClass$});
$AdfDhtmlSelectBooleanCheckboxPeer$$.prototype.$getLastSubmittedValue$ = function $$AdfDhtmlSelectBooleanCheckboxPeer$$$$$getLastSubmittedValue$$($component$$2016_lastValue$$10$$) {
  return ($component$$2016_lastValue$$10$$ = $AdfDhtmlSelectBooleanCheckboxPeer$$.$superclass$.$getLastSubmittedValue$.call(this, $component$$2016_lastValue$$10$$)) ? "t" == $component$$2016_lastValue$$10$$ ? !0 : $component$$2016_lastValue$$10$$ : !1;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlSelectBooleanCheckboxPeer.prototype.getLastSubmittedValue", {$getLastSubmittedValue$:$AdfDhtmlSelectBooleanCheckboxPeer$$.prototype.$getLastSubmittedValue$});
